/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Caabb class


*******************************************************************************
******************************************************************************/

#include <nds.h>

#include "Caabb.h"


void Caabb::shrink(int _x, int _y)
{
	x1 += _x;
	y1 += _y; 
	x2 -= _x;
	y2 -= _y; 
}


// factor 4096 = 1
void Caabb::shrink(int factor)
{
	int _w = ((x2-x1) + 1);
	int _h = ((y2-y1) + 1);
	
	int wd = ( ( _w << 12) - ( _w * factor ) ) >> 12;
	int hd = ( ( _h << 12) - ( _h * factor ) ) >> 12;
	
	x1 += wd;
	y1 += hd; 
	x2 -= wd;
	y2 -= hd; 
}

