/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Cexplosion class


*******************************************************************************
******************************************************************************/



#include <nds.h>

#include "Cobject.h"
#include "Cglsprite.h"

#ifndef Cexplosion__H
#define Cexplosion__H

#define MAX_EXPLOSIONS 64

enum E_EXPLOSION   //DEATH ID
{
	EX_NONE	= 0,
	EX_TINY_1,
	EX_TINY_2,
	EX_SMALL_1,
	EX_SMALL_2,
	EX_MEDIUM_1,
	EX_MEDIUM_2,
	EX_BIG
};

// Cexplode class derived from Cobject
class Cexplode : public Cobject
{
	public:
	Cexplode();
	~Cexplode();
	
	// Methods
	void update();
	void activate(E_EXPLOSION _ex_type, int tx, int ty, int vx, int vy);
	void deactivate();                      
                        	
	
	E_EXPLOSION ex_type;	
    int 		cx_off;		//for drawing from center
    int 		cy_off;		
	
};


// Cexplosion class ( Cexplode container )

class Cexplosion
{
	public:
	
	void update();
	void add(E_EXPLOSION _ex_type, int tx, int ty, int vx, int vy);
	void draw(Cglsprite *sprites);
	
	
	Cexplode a_explosions[MAX_EXPLOSIONS];
};

#endif
