/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	Caabb class


*******************************************************************************
******************************************************************************/

#include <nds.h>


#ifndef Caabb__H
#define Caabb__H

class Caabb
{
	public:
	inline int intersects(const Caabb &other) const;
	inline void init(int x1, int y1, int width, int height);
	void shrink(int _x, int _y);
	void shrink(int factor);
	int x1;
	int y1;
	int x2;
	int y2;
};


inline int Caabb::intersects(const Caabb &other) const
{
    if (x2 < other.x1) { return false; }
    if (x1 > other.x2) { return false; }
    if (y2 < other.y1) { return false; }
    if (y1 > other.y2) { return false; }
    return true;
}

inline void Caabb::init(int _x1, int _y1, int width, int height)
{
	x1 = _x1;
	y1 = _y1;
	x2 = (_x1 + width) - 1;
	y2 = (_y1 + height) - 1;
}


#endif